Bug 26849 - Fix Array::Utils dependency in cpanfile
Summary: Fix Array::Utils dependency in cpanfile
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Julian Maurice
QA Contact: Testopia
URL:
Keywords:
Depends on: 26434
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-28 15:50 UTC by Julian Maurice
Modified: 2020-12-28 19:04 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.01,20.05.07


Attachments
Bug 26849: Fix Array::Utils dependency in cpanfile (1.02 KB, patch)
2020-10-28 15:50 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 26849: Fix Array::Utils dependency in cpanfile (1.10 KB, patch)
2020-12-09 05:05 UTC, Mason James
Details | Diff | Splinter Review
Bug 26849: Fix Array::Utils dependency in cpanfile (1.12 KB, patch)
2020-12-20 15:29 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2020-10-28 15:50:14 UTC
Since bug 26434, if the module is missing Koha does not start. So it should be marked as required
Comment 1 Julian Maurice 2020-10-28 15:50:48 UTC
Created attachment 112648 [details] [review]
Bug 26849: Fix Array::Utils dependency in cpanfile

Since bug 26434, if the module is missing Koha does not start. So it
should be marked as required
Comment 2 Mason James 2020-12-09 05:05:37 UTC
Created attachment 114270 [details] [review]
Bug 26849: Fix Array::Utils dependency in cpanfile

Since bug 26434, if the module is missing Koha does not start. So it
should be marked as required

Signed-off-by: Mason James <mtj@kohaaloha.com>
Comment 3 Mason James 2020-12-09 05:06:27 UTC
(In reply to Mason James from comment #2)
> Created attachment 114270 [details] [review] [review]
> Bug 26849: Fix Array::Utils dependency in cpanfile
> 
> Since bug 26434, if the module is missing Koha does not start. So it
> should be marked as required
> 
> Signed-off-by: Mason James <mtj@kohaaloha.com>

looks good to me, signing off
Comment 4 Victor Grousset/tuxayo 2020-12-20 15:29:08 UTC
Created attachment 114542 [details] [review]
Bug 26849: Fix Array::Utils dependency in cpanfile

Since bug 26434, if the module is missing Koha does not start. So it
should be marked as required

Signed-off-by: Mason James <mtj@kohaaloha.com>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 5 Victor Grousset/tuxayo 2020-12-20 15:30:26 UTC
> if the module is missing Koha does not start

yep, bumped into this during RMaint a few months ago.
Comment 6 Jonathan Druart 2020-12-21 09:20:09 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2020-12-28 13:53:42 UTC
Pushed to 20.11.x for 20.11.01
Comment 8 Andrew Fuerste-Henry 2020-12-28 15:33:44 UTC
Pushed to 20.05.x for 20.05.07
Comment 9 Victor Grousset/tuxayo 2020-12-28 19:04:45 UTC
Missing dependencies for 19.11.x, can't backport.

cpanfile doesn't exist.